.visitor-counter {
  display: flex; /* Fix alignment */
  align-items: center; /* Center items vertically */
  justify-content: center; /* Center content horizontally */
  color: white;
  position: absolute;
  right: 10px;
  background: rgba(255, 255, 255, 0.131);
  padding: 8px 12px;
  backdrop-filter: blur(10px);
  box-shadow: 0 4px 10px rgba(0, 0, 0, 0.2);
  border-radius: 8px;
}

.visitor-counter .material-symbols-outlined {
  font-size: 16px;
  margin-right: 5px;
  display: flex; /* Ensure icon aligns well */
  align-items: center;
}

#visitorCount {
  font-variant-numeric: tabular-nums;
  transition: transform 0.3s ease-in-out;
  display: flex; /* Helps with alignment */
  align-items: center;
}

@media (max-width: 768px) {
  .visitor-counter {
    bottom: auto;
    font-size: 10px;
  }
}

@media (min-width: 769px) {
  .visitor-counter {
    bottom: 10px;
    font-size: 12px;
  }
}
